<back to all web services

GetCacheStatuses

The following routes are available for this service:
GET/RestApi/diagnostics/cache-statuses
import java.math.*
import java.util.*
import net.servicestack.client.*


open class GetCacheStatuses
{
}

open class CacheStatusesProxy
{
    var OutputCache:Boolean? = null
    var ClientCache:Boolean? = null
    var L2Cache:Boolean? = null
    var ClientSideCacheForThemes:Boolean? = null
    var RssCache:Boolean? = null
    var PagesPermissionsCache:Boolean? = null
}

Kotlin GetCacheStatuses DTOs

To override the Content-type in your clients, use the HTTP Accept Header, append the .jsv suffix or ?format=jsv

HTTP + JSV

The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.

GET /RestApi/diagnostics/cache-statuses HTTP/1.1 
Host: www.asg.com.au 
Accept: text/jsv
HTTP/1.1 200 OK
Content-Type: text/jsv
Content-Length: length

{
	OutputCache: False,
	ClientCache: False,
	L2Cache: False,
	ClientSideCacheForThemes: False,
	RssCache: False,
	PagesPermissionsCache: False
}